import pygtk
pygtk.require("2.0")
import gtk

import os

class GladeWindow(object):
    def __init__(self, ui_file):
        self.builder = gtk.Builder()

        # It's assumed that ui_file is located
        # under glade directory relative
        # to source file path
        ui_file = os.path.join(os.path.dirname(os.path.realpath(__file__)),
                               'glade', ui_file)

        self.builder.add_from_file(ui_file)
        self.builder.connect_signals(self)


    def __getattr__(self, name):
        """
        Look for widgets in builder object as attributes
        """
        obj = self.builder.get_object(name)

        if obj is None:
            raise AttributeError, name

        return obj
