from ... import build
from . import window

class AboutDialog(window.GladeWindow):
    def __init__(self):
        """
        Create user interface widgets
        """
        # Load and display widgets
        super(AboutDialog, self).__init__('about.glade')
        self.dialog.set_version(build.version)
        self.dialog.show_all()


    def run(self):
        """
        Run dialog
        """
        self.dialog.run()
        self.dialog.destroy()
